이미 등록된 용어집 용어
API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 응답의 type 값은 https://lingo.dev/docs/api/errors/glossary-terms-taken입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.
"<texts>"을(를) 저장할 수 없습니다. 이 용어집에 텍스트와 로캘이 모두 같은 용어가 이미 있습니다. 기존 용어를 수정하거나 텍스트를 변경하세요.
필드#
응답 본문에는 표준 구성 요소인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
texts | string[] |
예시#
json
{
"detail": "Cannot save \"<texts>\". This glossary already holds a term with that text and locale. Edit that term instead, or change the text.",
"texts": [
"<texts>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-terms-taken",
"status": 409,
"title": "Glossary terms taken"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/glossaries/{glossaryId}/terms/{id}POST /v2/glossaries/{glossaryId}/termsPOST /v2/glossaries/{glossaryId}/terms/create-many